<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>login</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <form [formGroup]="loginForm" class="ion-padding">
    <ion-item lines="full">
      <ion-label position="floating">Email</ion-label>
      <ion-input type="email" formControlName="username"></ion-input>
    </ion-item>
    <div
      class="app-input-error"
      *ngIf="loginForm.controls.username.dirty && loginForm.controls.username.touched"
    >
      <span *ngIf="loginForm.controls.username.hasError('pattern')"
        >This Email is not valid</span
      >
      <span *ngIf="loginForm.controls.username.hasError('required')"
        >This Email is required</span
      >
    </div>
    <ion-item lines="full">
      <ion-label position="floating">Password</ion-label>
      <ion-input
        [type]="hidePassword ? 'text' : 'password'"
        formControlName="password"
      ></ion-input>
      <div
        slot="end"
        class="password-eye"
        (click)="hidePassword = !hidePassword"
      >
        <ion-icon name="eye-outline" *ngIf="hidePassword"></ion-icon>
        <ion-icon name="eye-off-outline" *ngIf="!hidePassword"></ion-icon>
      </div>
    </ion-item>
    <div
      class="app-input-error"
      *ngIf="loginForm.controls.password.dirty && loginForm.controls.password.touched"
    >
      <span *ngIf="loginForm.controls.password.hasError('required')"
        >This Password is required</span
      >
      <span *ngIf="loginForm.controls.password.hasError('pattern')"
        >A lowercase character, 8-20 characters, A number, An uppercase
        character, A special character (!@#$%^&*)</span
      >
    </div>
    <div class="bs-xs-30"></div>
    <a [routerLink]="['/forgot']" class="app-link">Forgot PIN?</a>
    <div class="bs-xs-30"></div>
    <a [routerLink]="['/register']" class="app-link">Register</a>
    <div class="bs-xs-50"></div>
    <ng-container *ngIf="isBiometricActivate">
      <div class="ion-text-center">
        <p>Use Touch/Face ID to login</p>
        <div class="bs-xs-10"></div>
        <ion-icon
          name="finger-print-outline"
          style="font-size: 30px; padding: 10px"
          (click)="isBiometricEnable()"
        ></ion-icon>
      </div>
      <div class="bs-xs-30"></div>
      <a (click)="removeBiometricCredentials()" class="app-link"
        >Remove Touch/Face ID</a
      >
    </ng-container>
  </form>
</ion-content>

<ion-footer class="ion-no-border">
  <ion-toolbar>
    <ion-button
      color="primary"
      expand="full"
      [disabled]="!loginForm.valid"
      (click)="login()"
      >Login</ion-button
    >
  </ion-toolbar>
</ion-footer>
